{lib, ...}:
with lib.types; {
  hm = {
    gaudiHash = lib.mkOption {
      type = nullOr str;
      default = null;
      description = "hash of the Gaudi client";
    };

    release = lib.mkOption {
      type = str;
      default = "latest";
      description = "pinned athena-bccr release tag";
    };
  };

  sys = {
    group = lib.mkOption {
      type = str;
      default = "users";
      description = "user group with full access to the smartcard reader";
    };

    release = lib.mkOption {
      type = str;
      default = "latest";
      description = "pinned athena-bccr release tag";
    };
  };
}
